Summary:        Jakarta Mail API
Name:           jakarta-mail
Version:        1.6.7
Release:        3%{?dist}
License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/eclipse-ee4j/mail
Source0:        https://github.com/eclipse-ee4j/mail/archive/%{version}/mail-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

BuildRequires: mvn(org.apache.maven.plugins:maven-dependency-plugin) mvn(org.apache.maven.plugins:maven-source-plugin) mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: maven-local mvn(com.sun.activation:jakarta.activation) mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)

%description
Jakarta Mail defines a platform-independent and protocol-independent
framework to build mail and messaging applications.

%prep
%autosetup -n mail-%{version}

%pom_remove_parent

%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :osgiversion-maven-plugin
%pom_remove_plugin :directory-maven-plugin

%pom_disable_module android

%pom_xpath_remove "pom:project/pom:profiles"

find -name pom.xml -exec sed -i "s/\${mail\.osgiversion}/%{version}/g" {} +

sed -i "/-Werror/d" mail/pom.xml

%mvn_alias com.sun.mail:mailapi \
    javax.mail:mailapi
%mvn_alias com.sun.mail:jakarta.mail \
    com.sun.mail:javax.mail \
    javax.mail:mail \
    org.eclipse.jetty.orbit:javax.mail.glassfish
%mvn_alias jakarta.mail:jakarta.mail-api \
    javax.mail:javax.mail-api

%mvn_file com.sun.mail:jakarta.mail \
    %{name}/jakarta.mail \
    javamail/mail \
    javamail/javax.mail \
    javax.mail/javax.mail

%build
%mvn_build -j -f -- -Dmain.basedir=${PWD}

%install
%mvn_install

%files -f .mfiles
%license LICENSE.md NOTICE.md
%doc README.md

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.7-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.7-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 cunshunxia <cunshunxia@tencent.com> - 1.6.7-1
- initial build
